package com.yutou.qqbot;

import com.yutou.napcat.http.NapCatApi;
import com.yutou.okhttp.HttpLoggingInterceptor;
import com.yutou.qqbot.utlis.ConfigTools;
import com.yutou.qqbot.utlis.RedisTools;
import lombok.val;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class QQBotApplication {
    public static final String version = "QQBot v.1.7.9.1";

    public static void main(String[] args) {
        System.out.println("version = " + version);
        SpringApplication.run(QQBotApplication.class, args);
        RedisTools.initRedisPoolSub();
        QQBotManager.getInstance();
        val log = ConfigTools.load(ConfigTools.CONFIG, ConfigTools.QQ_LOG, Boolean.class,true);
        NapCatApi.setLog(log);
    }

}
